
public class ToggleButton extends Button {

	private boolean isOn;

	public ToggleButton() {
		super();
		setOn(false);

	}

	public ToggleButton(int xPosition, int yPosition, String label) {
		super(xPosition, yPosition, label);
		setOn(false);
	}

	public boolean isOn() {
		return isOn;
	}

	private void setOn(boolean isOn) {
		this.isOn = isOn;
	}

	@Override
	public String toString() {
		return super.toString() + ", isOn: " + isOn();
	}

	public void click() {
		setOn(!isOn());
	}

	@Override
	public void interact() {
		super.click();
		click();
	}

}
