
public abstract class Widget {

	private int xPosition, yPosition;

	public Widget() {
		setxPosition(0);
		setyPosition(0);
	}

	public Widget(int xPosition, int yPosition) {
		setxPosition(xPosition);
		setyPosition(yPosition);
	}

	public int getxPosition() {
		return xPosition;
	}

	private void setxPosition(int xPosition) {
		this.xPosition = xPosition;
	}

	public int getyPosition() {
		return yPosition;
	}

	private void setyPosition(int yPosition) {
		this.yPosition = yPosition;
	}

	public void move(int newX, int newY) {
		setxPosition(newX);
		setyPosition(newY);
	}

	@Override
	public String toString() {
		return "Naziv klase: " + getClass().getName() + " " + printPositions();
	}

	public String printPositions() {
		return "Pozicije su: " + getxPosition() + ", i " + getyPosition();
	}

	public abstract void interact();

}
